> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/resources/database-servers/database-server/views.md).

# Views

Reference documentation for each View item in the Solution Explorer

## Overview

This node will show all SQL views from database. If the database has no view the node is hidden.

## Commands Summary

A summary of commands available on a view via right-click context menu:

| Command                                         | Summary                                                                                |
| ----------------------------------------------- | -------------------------------------------------------------------------------------- |
| [Edit table/view](#edit-table-view)             | Opens the [Table Editor](/reference/servoy-developer/object-editors/table-editor.md)   |
| [Open SQL Editor](#open-sql-editor)             | Opens the [SQL Editor](/reference/servoy-developer/object-editors/sql-editor.md)       |
| [Search for references](#search-for-references) | Searches for where this view is used                                                   |
| [Create New Form](#create-new-form)             | Opens [New Form Wizard](/reference/servoy-developer/object-editors/new-form-wizard.md) |
| [Hide in Developer](#hide-in-developer)         | Flags the table as hidden in Servoy Developer                                          |

## Commands Details

The details for each command available on this item via right-click context menu:

### Edit table/view

Opens the [Table Editor](/reference/servoy-developer/object-editors/table-editor.md) to edit the view and its associated column information (metadata stored by Servoy Developer). The view is handled like a readonly table in Servoy Developer, its structure can only be modified using SQL statements.

### Open SQL Editor

Opens [SQL Editor](/reference/servoy-developer/object-editors/sql-editor.md) where you can run SQL queries on the view. SQL Explorer Eclipse plugin needs to be installed in order for this option to show up.

### Search for references

Searches for references of this view (for example forms, relations, valuelists ... that use the view).

### Create New Form

Opens [New Form Wizard](/reference/servoy-developer/object-editors/new-form-wizard.md) (using view's datasource).

### Hide in Developer

Marks a view as hidden in developer. This view (and its datasource) will not show up in Servoy Developer wizards and editors.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/resources/database-servers/database-server/views.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
